Methods
GET
Retrieve Single Expected Payment Type
/backend/api/v1/expectedPaymentTypes/ID - fetch expected payment type with specified ID.
List Expected Payment Types
/backend/api/v1/expectedPaymentTypes/ - list all expected payment types.
POST
/backend/api/v1/expectedPaymentTypes/ - add a new expected payment type, the newly-added expected payment type will be returned.
PATCH
/backend/api/v1/expectedPaymentTypes/ID - update expected payment type with specified ID. The modified expected payment type will be returned.
DELETE
/backend/api/v1/expectedPaymentTypes/ID - delete expected payment type with specified ID.
Fields
| Field | Name | Type | Description |
|---|---|---|---|
| expectedPaymentTypeName | Expected Payment Type | Text | Name of the expected payment type |
| expectedPaymentTypeDisplayName | Expected Payment Type (Display) | Text | Alternative display name for the expected payment type |
| expectedPaymentTypeDescription | Expected Payment Type Description | Text (Multiline) | Detailed description of the expected payment type |
| id | Expected Payment Type ID | Text | The unique identifier for this expected payment type |